import request from '@/utils/request'
// import request from '../../api/request'


const base = '/base', psjc = '/psjc'

// 附件id
export function queryDictionariesId(params) {
    return request({
        url: base + '/code/getByKeys',
        method: 'get',
        params
    })
}

// 详情
export function projectDetailsQuery(params) {
    return request({
        url: psjc + '/projectInfo/' + params,
        method: 'get',
    })
}

// 附件分页查询接口+
export function queryPageEnclosure(params) {
    return request({
        url: psjc + '/sysUploadFile/page',
        method: 'get',
        params
    })
}

// 根据条件新增数据
export function addData(data) {
    return request({
        url: psjc + '/projectInfo',
        method: 'post',
        data
    })
}

// 修改数据
export function changeInfo(data) {
    return request({
        url: psjc + '/projectInfo',
        method: 'put',
        data
    })
}

// 
export function downloadFile(params) {
    return {
        url: psjc + '/sysUploadFile/downloadFile/' + params
    }
}

// 删除附件
export function removeEnclosureByIds(params) {
    return request({
        url: psjc + "/sysUploadFile/removeByIds",
        method: 'delete',
        params
    })
}

// 删除数据(多个)
export function deleteDatas(params) {
    return request({
        url: psjc + "/projectInfo/removeByIds/",
        method: 'delete',
        params
    })
}

// 根据条件获取分页查询数据(可模糊查询)
export function projectPagingQueryNew(params) {
    return request({
        url: psjc + '/projectInfo/pageNew',
        method: 'get',
        params
    })
}